unit Failure;

{ 1991 Quinn "The Eskimo" }

interface

	uses
		NumSubs;

	procedure Failure (mesg: str255);
	procedure FailNil (p: univ Handle; mesg: str255);
	procedure FailResError (mesg: str255);
	procedure FailOSError (err: OSErr; mesg: str255);

implementation

	procedure Failure (mesg: str255);
	begin
		DebugStr(concat('Fail - ', mesg));
	end; { Failure }

	procedure FailNil (p: univ Handle; mesg: str255);
	begin
		if p = nil then begin
			Failure(mesg);
		end; { if }
	end; { FailNil }

	procedure FailOSError (err: OSErr; mesg: str255);
	begin
		if err <> noErr then begin
			Failure(concat(mesg, '(', DecStr(err), ')'));
		end; { if }
	end; { FailOSError }

	procedure FailResError (mesg: str255);
	begin
		FailOSError(ResError, mesg);
	end; { FailResError }

end. { Failure - now! }