program Test;

	const
		fract = 256;
		gravity = 125;
		iters = 40;
	var
		h, v, dh, dv: longInt;
		srcp, dstp: point;
		i: integer;
begin
	ShowDrawing;
	srcp.h := 20;
	srcp.v := 200;
	dstp.h := 200;
	dstp.v := 150;
	MoveTo(dstp.h, dstp.v);
	Line(0, 0);
	MoveTo(srcp.h, srcp.v);
	Line(0, 0);
	h := longInt(srcp.h) * fract;
	v := longInt(srcp.v) * fract;
	dh := longInt(dstp.h - srcp.h) * fract div iters;
	dv := (longInt(dstp.v - srcp.v) * fract - longInt(gravity) * iters * (iters + 1) div 2) div iters;
	writeln(h, v, dh, dv);
	for i := 1 to iters do begin
		dv := dv + gravity;
		h := h + dh;
		v := v + dv;
		writeln(h, v, dh, dv);
		LineTo(h div fract, v div fract);
	end;
end.