unit DialogSubs;

{ 1991 Quinn "The Eskimo" }

interface

	procedure GetDRect (dlg: DialogPtr; item: integer; var r: Rect);
	procedure SetDRect (dlg: DialogPtr; item: integer; r: Rect);

	procedure GetDKind (dlg: DialogPtr; item: integer; var k: integer);
	procedure SetDKind (dlg: DialogPtr; item: integer; k: integer);

	procedure GetDHandle (dlg: DialogPtr; item: integer; var h: Handle);
	procedure SetDHandle (dlg: DialogPtr; item: integer; h: Handle);

implementation

	procedure GetDRect (dlg: DialogPtr; item: integer; var r: Rect);
		var
			k: integer;
			h: Handle;
	begin
		GetDItem(dlg, item, k, h, r);
	end; { GetDRect }

	procedure SetDRect (dlg: DialogPtr; item: integer; r: Rect);
		var
			k: integer;
			h: Handle;
			junk: Rect;
	begin
		GetDItem(dlg, item, k, h, junk);
		SetDItem(dlg, item, k, h, r);
	end; { SetDRect }

	procedure GetDKind (dlg: DialogPtr; item: integer; var k: integer);
		var
			h: Handle;
			r: Rect;
	begin
		GetDItem(dlg, item, k, h, r);
	end; { GetDKind }

	procedure SetDKind (dlg: DialogPtr; item: integer; k: integer);
		var
			h: Handle;
			r: Rect;
			tk: integer;
	begin
		GetDItem(dlg, item, tk, h, r);
		SetDItem(dlg, item, k, h, r);
	end;

	procedure GetDHandle (dlg: DialogPtr; item: integer; var h: Handle);
		var
			k: integer;
			r: Rect;
	begin
		GetDItem(dlg, item, k, h, r);
	end; { GetDHandle }

	procedure SetDHandle (dlg: DialogPtr; item: integer; h: Handle);
		var
			k: integer;
			junk: Handle;
			r: Rect;
	begin
		GetDItem(dlg, item, k, junk, r);
		SetDItem(dlg, item, k, h, r);
	end; { SetDHandle }

end. { DialogSubs }